Bug 250989 - semanage fcontext rejects default type of <<none>>
semanage fcontext rejects default type of <<none>>
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: policycoreutils (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-06 09:16 EDT by Anchor Systems Managed Hosting
Modified: 2009-01-20 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:00:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anchor Systems Managed Hosting 2007-08-06 09:16:10 EDT
Description of problem:

The `semanage fcontext` command will not let the security administrator add
a file context type of <<none>>.

Version-Release number of selected component (if applicable):
policycoreutils-1.33.12-3.el5

How reproducible:
100%

Steps to Reproduce:
1. Run the command semanage fcontext -a -t '<<none>>' /bindmounts/

Actual results:
libsepol.context_from_record: type <<none>> is not defined
libsepol.context_from_record: could not create context structure
libsemanage.validate_handler: invalid context system_u:object_r:<<none>>:s0
specified for /bindmounts/ [all files]
libsemanage.dbase_llist_iterate: could not iterate over records
/usr/sbin/semanage: Could not add file context for /bindmounts/

Expected results:
For it to work.

Additional info:
Comment 1 Daniel Walsh 2007-08-06 10:16:34 EDT
You can do this with a policy module by including a fc file.  We are working on
fixing this in Rawhide FC8,  When we are happy with the solution we will
consider back porting it to RHEL5.

Comment 2 Daniel Walsh 2008-09-17 16:18:23 EDT
Fixed in policycoreutils-1.33.12-14.1.el5
Comment 3 RHEL Product and Program Management 2008-09-17 16:25:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2009-01-20 17:00:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0206.html

Note You need to log in before you can comment on or make changes to this bug.